GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
parser_state Struct Reference

`#include "parser-defs.h"`

## Public Member Functions
| parser_state (size_t initial_size, const struct language_defn *lang, struct gdbarch *gdbarch)
| DISABLE_COPY_AND_ASSIGN (parser_state)
expression_up | release ()

## Public Attributes
size_t | expout_size
expression_up | expout
size_t | expout_ptr

## Detailed Description

Definition at line 38 of file parser-defs.h.

## Constructor & Destructor Documentation

## ◆ parser_state()

parser_state::parser_state | ( | size_t | initial_size,
|  | const struct language_defn * | lang,
|  | struct gdbarch * | gdbarch
| ) |  |

Definition at line 155 of file parse.c.

References expout.

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

parser_state::DISABLE_COPY_AND_ASSIGN | ( | parser_state |  | ) |

## ◆ release()

expression_up parser_state::release | ( |  | ) |

Definition at line 169 of file parse.c.

References EXP_ELEM_TO_BYTES, expout, expout_ptr, and XRESIZEVAR.

Referenced by dtrace_probe::build_arg_exprs(), and stap_parse_argument().

## Member Data Documentation

## ◆ expout

expression_up parser_state::expout

Definition at line 59 of file parser-defs.h.

Referenced by parser_state(), and release().

## ◆ expout_ptr

size_t parser_state::expout_ptr

Definition at line 64 of file parser-defs.h.

Referenced by release().

## ◆ expout_size

size_t parser_state::expout_size

Definition at line 55 of file parser-defs.h.

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/parser-defs.h
- /tmp/gdb-8.1/gdb/parse.c